All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans
Interface HttpConstants

All Superinterfaces:
  javax.swing.SwingConstants

All Known Implementing Classes:
  AbstractBaseTableView, BaseFieldRenderer, BaseOLAPTableView, BaseTableCell, BaseTableRow, BaseTableView, ColumnAsRowCellRenderer, ConditionTableCellRenderer, DefaultOLAPTableDataCellRenderer, DefaultOLAPTableLabelCellRenderer, DefaultRowSelectionRenderer, DefaultTableCellEditor, DefaultTableCellRenderer, DefaultTableHeaderRenderer, DefaultTableRowHeaderRenderer, DefaultTableRowRenderer, InformationServicesDateCellRenderer, NavigationBarColumnScrollingElement, NavigationBarRowScrollingElement, NavigationBarScrollingElement, NoColumnTableHeaderRenderer, OLAPColorMapTableCellRenderer, OLAPTableView, TableView, TableView, TableView

    public interface HttpConstants

extends javax.swing.SwingConstants

A collection of constants generally used for positioning and orienting TableView components on the screen.

Field Summary
`static int` | `ALL` Used to specify multiple alignment values.
`static int` | `BASELINE` All cells in the same row as a cell whose valign attribute has this value should have their textual data positioned so that the first text line occurs on a baseline common to all cells in the row.
`static int` | `CHAR` Aligns the text of the cells around a specific character.
`static int` | `COL` Used to specify the scope of the cell to be "col".
`static int` | `COLGROUP` Used to specify the scope of the cell to be "colgroup".
`static int` | `JUSTIFY` Aligns the text of the cell double-justified.
`static int` | `MULTIPLE` Multiple items can be selected.
`static int` | `NONE` Doesn't specify an alignment.
`static int` | `ROW` Used to specify the scope of the cell to be "row".
`static int` | `ROWGROUP` Used to specify the scope of the cell to be "rowgroup".
`static int` | `SINGLE` Only single items can be selected.

Field Detail

### JUSTIFY

    static final int JUSTIFY

  Aligns the text of the cell double-justified.

  See Also:
    Constant Field Values

### CHAR

    static final int CHAR

  Aligns the text of the cells around a specific character. If a user agent doesn't support character alignment, behavior in the presence of this value is unspecified.

  See Also:
    Constant Field Values

### BASELINE

    static final int BASELINE

  All cells in the same row as a cell whose valign attribute has this value should have their textual data positioned so that the first text line occurs on a baseline common to all cells in the row. This constraint does not apply to subsequent text lines in these cells.

  See Also:
    Constant Field Values

### ROW

    static final int ROW

  Used to specify the scope of the cell to be "row".

  See Also:
    Constant Field Values

### COL

    static final int COL

  Used to specify the scope of the cell to be "col".

  See Also:
    Constant Field Values

### ROWGROUP

    static final int ROWGROUP

  Used to specify the scope of the cell to be "rowgroup".

  See Also:
    Constant Field Values

### COLGROUP

    static final int COLGROUP

  Used to specify the scope of the cell to be "colgroup".

  See Also:
    Constant Field Values

### NONE

    static final int NONE

  Doesn't specify an alignment. Uses browser default.

  See Also:
    Constant Field Values

### ALL

    static final int ALL

  Used to specify multiple alignment values.

  See Also:
    Constant Field Values

### SINGLE

    static final int SINGLE

  Only single items can be selected.

  See Also:
    Constant Field Values

### MULTIPLE

    static final int MULTIPLE

  Multiple items can be selected.

  See Also:
    Constant Field Values

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.